Skip to main content
PATCH
Update a workspace

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

workspaces:write

Path Parameters

id
string
required

The workspace id

Maximum string length: 64
Pattern: ^[A-Za-z0-9_-]{1,64}$
Example:

"RiHO4e0Ju3DS"

Query Parameters

properties
enum<string>[]

Select the workspace properties that should be returned

Available options:
id,
object,
url,
createdAt,
updatedAt,
name,
workspaceUrl,
templateId,
startDate,
targetEndDate,
actualEndDate,
projectAge,
taskProgress,
lastContactView,
totalViews,
totalActions,
totalTimeSpent,
contactsCount,
workspaceDomains.id,
workspaceDomains.object,
workspaceDomains.url,
workspaceDomains.createdAt,
workspaceDomains.updatedAt,
workspaceDomains.domain,
workspaceDomains.role,
workspaceUsers.id,
workspaceUsers.object,
workspaceUsers.url,
workspaceUsers.createdAt,
workspaceUsers.updatedAt,
workspaceUsers.role,
workspaceUsers.user.id,
workspaceUsers.user.object,
workspaceUsers.user.url,
workspaceUsers.user.createdAt,
workspaceUsers.user.updatedAt,
workspaceUsers.user.firstName,
workspaceUsers.user.lastName,
workspaceUsers.user.avatar,
workspaceUsers.user.email,
workspaceUsers.user.name,
account.id,
account.object,
account.url,
account.createdAt,
account.updatedAt,
account.name,
account.website,
account.ownerId,
account.logo,
account.salesforceAccountId,
account.hubspotCompanyId,
account.customFields.id,
account.customFields.object,
account.customFields.url,
account.customFields.createdAt,
account.customFields.updatedAt,
account.customFields.name,
account.customFields.variableName,
account.customFields.objectType,
account.customFields.type,
account.customFields.options.index,
account.customFields.options.label,
account.customFields.options.value,
account.customFields.value,
deal.id,
deal.object,
deal.url,
deal.createdAt,
deal.updatedAt,
deal.hubspotDealId,
deal.salesforceOpportunityId,
deal.name,
deal.amount,
deal.closeDate,
deal.createdDate,
deal.stage,
deal.type,
deal.customFields.id,
deal.customFields.object,
deal.customFields.url,
deal.customFields.createdAt,
deal.customFields.updatedAt,
deal.customFields.name,
deal.customFields.variableName,
deal.customFields.objectType,
deal.customFields.type,
deal.customFields.options.index,
deal.customFields.options.label,
deal.customFields.options.value,
deal.customFields.value,
customFields.id,
customFields.object,
customFields.url,
customFields.createdAt,
customFields.updatedAt,
customFields.name,
customFields.variableName,
customFields.objectType,
customFields.type,
customFields.options.index,
customFields.options.label,
customFields.options.value,
customFields.value

Body

application/json
customFields
object[]

Custom fields to update. Only the fields in this list change. For a multiple-checkbox field, the value replaces the field's selected options.

Maximum array length: 100
Example:
startDate
string<date> | null

The start date of the workspace in YYYY-MM-DD format, or null to remove the date

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2025-06-15"

targetEndDate
string<date> | null

The target end date of the workspace in YYYY-MM-DD format, or null to remove the date

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2025-08-31"

actualEndDate
string<date> | null

The actual end date of the workspace in YYYY-MM-DD format, or null to remove the date

Pattern: ^\d{4}-\d{2}-\d{2}$
Example:

"2025-09-30"

Response

Success: update a workspace

data
object
required